class Connector
{
    $ResponseObject
    [String]$ResponseJson

#    "id": 0,
#    "poolId": 0,
#    "connectorTypeId": 0,
#    "name": "string",
#    "isTarget": true,
#    "rawSettings": "string",
#    "timeStamp": "2021-03-31T08:16:46.646Z",
#    "externalKey": "string",
#    "rawProductList": "string"

    [Int]$Id
    [Int]$PoolId
    [Int]$ConnectorTypeId
    [String]$Name
    [bool]$IsTarget
    [String]$RawSettings
    [String]$RawProductList

    GetAll(){
        $Parameters = @{
            Method = "Get"
            Uri = "$global:HOSTURL/ap1/Connectors"
            Headers = GetHeader 
            ContentType = "application/json"
        }

        $this.ResponseObject = Invoke-FrontAPI($Parameters) | ConvertFrom-Json
        $this.ResponseJson = $this.ResponseObject | ConvertTo-Json -depth 100         
    }

}
